<div class="multiform" id="settings-form">
	<ul class="hor-menu noselect nostyle" id="settings-menu">
		<li class="item hl-bottom" id="general">Пригласить сотрудника</li>
	</ul>
	<div class="content">
		<div class="modal-message" style="display: none;"><div class="message-box"></div></div>
		<div class="sections">
			{% if user.role.permissions.USERS_INVITE %}
				<form id="inv-add" method="post" action="/invites/inv/">
					{% csrf_token %}
					<div class="input-field">
						<input type="text" name="name" required>
						<span class="highlight"></span>
						<span class="bar"></span>
						<label>Имя</label>
					</div>
					<div class="material-select">
						<select name="position">
							{% for position in positions %}
								<option>{{ position.name }}</option>
							{% endfor %}
						</select>
						<label for="select" class="control-label">Должность</label><i class="bar"></i>
					</div>
					<div class="material-select">
						<select name="role">
							{% for role in roles %}
								<option>{{ role.name }}</option>
							{% endfor %}
						</select>
						<label for="select" class="control-label">Группа</label><i class="bar"></i>
					</div>
					<div class="message-box" id="link" style="display: none;"><div id="replaceme"></div><div id="qrcode"></div></div>
					<div class="submit-container">
						<button class="button" form="inv-add" type="submit">Пригласить</button>
					</div>
				</form>
			</div>
		{% else %}
			<h2>У вас недостаточно прав для просмотра этой страницы.</h2>
		{% endif %}
	</div>
</div>
<script>
	function modalMessageLink(text) {
		if (text) {
			$(".message-box").css("display", "block");
			$(".message-box #replaceme").html(text);
		} else {
			$(".message-box").css("display", "none");
		}			
	}
	function modalMessage(text) {
		if (text) {
			$(".modal-message").css("display", "block");
			$(".modal-message").html(text);
		} else {
			$(".modal-message").css("display", "none");
		}			
	}

	$(function() {
		$("form").submit(function(e) {
			e.preventDefault();
			modalMessage();
			modalMessageLink();
			var form = $(this);
			var posting = $.post(form.attr('action'), form.serialize());
			posting.done(function(data) {
				modalMessageLink('<p>Одноразовый ключ для регистрации сотрудника: <a href="/join?k='+data+'">'+data+'</a>.</p><p>Отправьте ссылку или ключ сотруднику, чтобы он продолжил регистрацию.</p>');
				$(".submit-container").html('<button class="button" form="" onclick="location.reload();">Закрыть</button>');
				var qrText = location.protocol+"//"+window.location.host+"/join?k="+data;
				$('#qrcode').qrcode({width:230, height:230, text:qrText});
			});
			posting.fail(function(data) {
				modalMessage(data['responseText']);
			});
		});
	});

	if ('{{ err }}' != '') {
		var msg = '{{ err }}';
	}
	modalMessage(msg);
</script>